summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Mackdanz <stasibear@gentoo.org>2015-12-11 23:39:27 -0600
committerErik Mackdanz <stasibear@gentoo.org>2015-12-11 23:39:27 -0600
commit8604b326b1c2a3bc858fc32ce9d7fb93ff649fe8 (patch)
treed59a14896ea4d1e0db678ebf6569b920f46cc74f /app-emulation/lxd/files
parentapp-misc/anki: Remove old ebuilds (diff)
downloadgentoo-8604b326b1c2a3bc858fc32ce9d7fb93ff649fe8.tar.gz
gentoo-8604b326b1c2a3bc858fc32ce9d7fb93ff649fe8.tar.bz2
gentoo-8604b326b1c2a3bc858fc32ce9d7fb93ff649fe8.zip
app-emulation/lxd: bump to 0.24
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-emulation/lxd/files')
-rw-r--r--app-emulation/lxd/files/lxd-0.24-dont-go-get.patch18
-rw-r--r--app-emulation/lxd/files/lxd-0.24-nc-binary-name.patch11
-rw-r--r--app-emulation/lxd/files/lxd-0.24.confd27
-rw-r--r--app-emulation/lxd/files/lxd-0.24.initd50
4 files changed, 106 insertions, 0 deletions
diff --git a/app-emulation/lxd/files/lxd-0.24-dont-go-get.patch b/app-emulation/lxd/files/lxd-0.24-dont-go-get.patch
new file mode 100644
index 000000000000..1b229ea99cd5
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-0.24-dont-go-get.patch
@@ -0,0 +1,18 @@
+--- Makefile.orig 2015-09-17 20:37:16.481867339 -0500
++++ Makefile 2015-09-17 20:53:27.715800926 -0500
+@@ -12,15 +12,11 @@
+
+ .PHONY: default
+ default:
+- -go get -t -v -d ./...
+- -go get -t -v -d ./...
+ go install -v ./...
+ @echo "LXD built succesfuly"
+
+ .PHONY: client
+ client:
+- -go get -t -v -d ./...
+- -go get -t -v -d ./...
+ go install -v ./lxc
+ @echo "LXD client built succesfuly"
+
diff --git a/app-emulation/lxd/files/lxd-0.24-nc-binary-name.patch b/app-emulation/lxd/files/lxd-0.24-nc-binary-name.patch
new file mode 100644
index 000000000000..7373b66969b7
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-0.24-nc-binary-name.patch
@@ -0,0 +1,11 @@
+--- lxd/rsync.go.orig 2015-11-11 20:54:37.402700202 -0600
++++ lxd/rsync.go 2015-11-11 20:55:06.704698199 -0600
+@@ -91,7 +91,7 @@
+ * command (i.e. the command to run on --server). However, we're
+ * hardcoding that at the other end, so we can just ignore it.
+ */
+- rsyncCmd := fmt.Sprintf("sh -c \"nc -U %s\"", f.Name())
++ rsyncCmd := fmt.Sprintf("sh -c \"nc.openbsd -U %s\"", f.Name())
+ cmd := exec.Command(
+ "rsync",
+ "-arvP",
diff --git a/app-emulation/lxd/files/lxd-0.24.confd b/app-emulation/lxd/files/lxd-0.24.confd
new file mode 100644
index 000000000000..3d553276a5e3
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-0.24.confd
@@ -0,0 +1,27 @@
+# Group which owns the shared socket
+LXD_OPTIONS+=" --group lxd"
+
+
+
+# Enable cpu profiling into the specified file
+#LXD_OPTIONS+=" --cpuprofile /tmp/lxc_cpu_profile"
+
+# Enable memory profiling into the specified file
+#LXD_OPTIONS+=" --memprofile /tmp/lxc_mem_profile"
+
+
+
+# Enables debug mode
+#LXD_OPTIONS+=" --debug"
+
+# For debugging, print a complete stack trace every n seconds
+#LXD_OPTIONS+=" --print-goroutines-every 5"
+
+# Enables verbose mode
+#LXD_OPTIONS+=" -v"
+
+# Logfile to log to
+#LXD_OPTIONS+=" --logfile /var/log/lxd/lxd.log"
+
+# Enables syslog logging
+#LXD_OPTIONS+=" --syslog"
diff --git a/app-emulation/lxd/files/lxd-0.24.initd b/app-emulation/lxd/files/lxd-0.24.initd
new file mode 100644
index 000000000000..ec23258c19d1
--- /dev/null
+++ b/app-emulation/lxd/files/lxd-0.24.initd
@@ -0,0 +1,50 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DAEMON=/usr/sbin/lxd
+PIDFILE=/run/lxd.pid
+
+extra_commands="stopall"
+
+depend() {
+ need net
+ use lxcfs
+
+ # remove with 2.0 release
+ need cgmanager
+}
+
+start() {
+ ebegin "Starting lxd server"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ ${LXD_OPTIONS}
+
+ eend $?
+}
+
+stop() {
+ if [[ $RC_GOINGDOWN = YES ]] || [[ $RC_REBOOT = YES ]]; then
+ stopall
+ else
+ ebegin "Stopping lxd service (but not containers)"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+ fi
+}
+
+stopall() {
+ ebegin "Stopping lxd service and containers"
+ if "${DAEMON}" shutdown; then
+ /etc/init.d/lxd zap
+ rm -f ${PIDFILE}
+ fi
+ eend $?
+}